/* general * * * * * * * * * * * * * * * * * * * */

* {
    box-sizing: border-box;
    font-family: Calibri,Candara,Segoe,Segoe UI,Optima,Arial,sans-serif;
    margin: 0;
    padding: 0;
    text-decoration: none;
}

.container {
    max-width: 1200px;
    margin-left: auto;
    margin-right: auto;
}

body {
    display: flex;
    flex-direction: column;
    height: 100vh;
    background-color: #EDF1F7;
}

/* header * * * * * * * * * * * * * * * * * * * */

header {
    background-color: black;
}

header img {
    max-height: 250px;
}

.header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    /* TODO Bilder schrumpfen. */
}

/* nav * * * * * * * * * * * * * * * * * * * */

nav {
    background-color: #272B30;
}

.nav {
    display: flex;
    justify-content: space-between;
}

.nav div {
    display: flex;
}

.nav a {
    color: white;
    padding: 12px 30px;
    display: block;
    font-weight: bold;
}

.nav a img {
    height: 11px;
    margin-right: 5px;
}

.nav a:hover  {
    background-color: #E54825;
}

.nav a.active, .nav a.active:hover {
    background-color: #EDF1F7;
    color: #272B30;
}

/* footer * * * * * * * * * * * * * * * * * * * */

footer {
    background-color: #272B30;
    flex-shrink: 0;
}

.footer {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    align-items: center;
}

.footer div {
    display: flex;
}

.footer a {
    color: #919AA5;
    padding: 12px;
    display: block;
}

.footer div:hover > a {
    color: white;
}

.footer-right img {
    height: 35px;
    margin: 10px;
}

/* main * * * * * * * * * * * * * * * * * * * */

main {
    flex: 1 0 auto;
}

/* main home * * * * * * * * * * * * * * * * * * * */


/* main product * * * * * * * * * * * * * * * * * * * */

.product {
    padding-left: 30px;
    padding-right: 30px;
    /* TODO Nur wenn kein Rand links und rechts. */
}

.product h1 {
    color: #272B30;
    margin-top: 45px;
    margin-bottom: 15px;
}

.product h2 {
    color: #272B30;
    margin-top: 35px;
    margin-bottom: 10px;
    font-size: 24px;
}

.product p {
    font-size: 20px;
    margin-bottom: 10px;
    text-align: justify;
}

.product p:last-of-type{
    margin-bottom: 45px;
}

.product .problem {
    font-weight: bold;
}

.product a {
    color: #E54825;
}

.product a:visited {
    color: #A5301C;
}

h2::before {
    content: "▸ " ;
    color: #E54825;
}